# Jupyter Linktree

a simple Application to Display links and redirects by editing a simple TOML File.


## Adding a Link

Each link is defined in src/assets/links.toml. The format should be:

```toml
[[links]]
id = "Name of Website"
icon = "local Icon link (src/assets/icons) or link to picture"
    [links.config]
    title = "Title of the Link"
    link = "local redirect (e.g. /jupyter -> <window.origin>/jupyter) or link (e.g. https://example.de)"
    description = "Description of the link"
    tags = [ "Tag1", "Tag2", ...]
```

## Nix 

When using Nix run the command

```bash
nix develop
```

beforehand, after that procede with the rest of the Dev Setup.

## Dev Setup

Install Node v21 or higher. After that navigate to the project and run 

```bash
npm install 
npm run dev
```

Then type "o" into the console and a Window Tab in your Browser should open.

## Docker

Using docker is as simple as running 

```bash
docker compose up --build
```




